org.encog.ml.data.versatile

## Interface Normalizer

- All Known Implementing Classes:
    IndexedNormalizer, OneOfNNormalizer, PassThroughNormalizer, RangeNormalizer, RangeOrdinal

      public interface Normalizer

  The normalizer interface defines how to normalize a column. The source of the normalization can be either string or double.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `denormalizeColumn(ColumnDefinition colDef, MLData data, int dataIndex)` Denormalize a value.
    `int` | `normalizeColumn(ColumnDefinition colDef, double value, double[] outputData, int outputIndex)` Normalize a column from a double.
    `int` | `normalizeColumn(ColumnDefinition colDef, String value, double[] outputData, int outputIndex)` Normalize a column from a string.
    `int` | `outputSize(ColumnDefinition colDef)` Determine the normalized size of the specified column.

- - ### Method Detail

    - #### outputSize

          int outputSize(ColumnDefinition colDef)

      Determine the normalized size of the specified column.
      Parameters:
        `colDef` - The column to check.
      Returns:
        The size of the column normalized.

    - #### normalizeColumn

          int normalizeColumn(ColumnDefinition colDef,
                            String value,
                            double[] outputData,
                            int outputIndex)

      Normalize a column from a string. The output will go to an array, starting at outputColumn.
      Parameters:
        `colDef` - The column that is being normalized.
        `value` - The value to normalize.
        `outputData` - The array to output to.
        `outputIndex` - The index to start at in outputData.
      Returns:
        The new index (in outputData) that we've moved to.

    - #### normalizeColumn

          int normalizeColumn(ColumnDefinition colDef,
                            double value,
                            double[] outputData,
                            int outputIndex)

      Normalize a column from a double. The output will go to an array, starting at outputColumn.
      Parameters:
        `colDef` - The column that is being normalized.
        `value` - The value to normalize.
        `outputData` - The array to output to.
        `outputIndex` - The index to start at in outputData.
      Returns:
        The new index (in outputData) that we've moved to.

    - #### denormalizeColumn

          String denormalizeColumn(ColumnDefinition colDef,
                                 MLData data,
                                 int dataIndex)

      Denormalize a value.
      Parameters:
        `colDef` - The column to denormalize.
        `data` - The data to denormalize.
        `dataIndex` - The starting location inside data.
      Returns:
        The denormalized value.

Copyright © 2014. All Rights Reserved.